package com.alterdekim.hearthhack.component.processor.client.request;

import com.alterdekim.Protocol;
import com.alterdekim.hearthhack.component.TcpConnection;
import com.alterdekim.hearthhack.util.BattleNetPacket;
import com.alterdekim.hearthhack.util.ClientRequestBody;

import java.util.List;

public class SetCardSeen extends ClientRequestParser {
    @Override
    public void parse(BattleNetPacket packet, ClientRequestBody body, TcpConnection conn) throws Exception {
        Protocol.AckCardSeen request = Protocol.AckCardSeen.parseFrom(body.getBody());
        List<Protocol.CardDef> l = request.getCardDefsList();

    }

    @Override
    public int getId() {
        return 223;
    }
}
